Bug 612776 - Branch for EPEL
Summary: Branch for EPEL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Cython
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Neal Becker
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 612778
TreeView+ depends on / blocked
 
Reported: 2010-07-09 01:30 UTC by Ray Van Dolson
Modified: 2014-08-19 13:12 UTC (History)
2 users (show)

Fixed In Version: Cython-0.14.1-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-24 21:58:31 UTC


Attachments (Terms of Use)
Cython.spec file for EPEL4, 5 and 6. (7.13 KB, text/plain)
2011-04-03 20:15 UTC, Steve Traylen
no flags Details

Description Ray Van Dolson 2010-07-09 01:30:28 UTC
Would you be interested in branching/maintaining Cython for EPEL 6 (potentially EPEL4 and 5 as well)?

Comment 1 Bug Zapper 2010-07-30 12:29:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Mark Chappell 2010-09-22 10:16:09 UTC
Ray, 

Given the lack of response from the rawhide owners at this point it would not be considered unreasonable for you to just request the EL branches if you're happy to maintain them.

Comment 3 Ray Van Dolson 2010-10-18 04:03:03 UTC
Don't think I'd be a good maintainer for this one currently.  This isn't urgent right now, so can wait a bit longer.

Comment 4 Steve Traylen 2011-04-03 20:15:36 UTC
Created attachment 489684 [details]
Cython.spec file for EPEL4, 5 and 6.

Hi 

I would also like to see an EPEL build for Cython.

I've attached a modified .spec file which really does two things.

1) Adds a python26 package to the EPEL5 builds.
2) On EPEL 4 and 5 (python < 2.6) the cygdb binary is not built so not included in the
    %files list.

Given the comments above I'll leave this here for a week in case there are comments and
then go ahead and request the branches.

Steve

Comment 5 Fedora Update System 2011-04-08 21:25:21 UTC
Cython-0.14.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/Cython-0.14.1-3.el5

Comment 6 Fedora Update System 2011-04-08 21:25:34 UTC
Cython-0.14.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/Cython-0.14.1-3.el6

Comment 7 Fedora Update System 2011-04-09 18:53:43 UTC
Cython-0.14.1-3.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 8 Fedora Update System 2011-04-24 21:58:19 UTC
Cython-0.14.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 9 Fedora Update System 2011-04-24 21:58:56 UTC
Cython-0.14.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 10 Neal Becker 2014-08-19 13:12:20 UTC
I see that xpra (winswitch) has made a package which has patches for epel.  So now we have 3 versions (fedora, epel, and xpra).

I see the epel version has not been updated in ages.

I would be tempted to ask xpra not to distribute their own epel/fedora version, but if epel is not going to be kept up-to-date then that isn't an option.

It would not be difficult for me to incorporate the epel patches into the current fedora spec, although I'm not familiar with the build process on epel.  The current fedora has added support for python3-Cython packages - I suppose this can just be ifdef'd out for epel.

What are your thoughts?


Note You need to log in before you can comment on or make changes to this bug.